Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.web.dhtml
Interface DHTMLClientService

    public interface DHTMLClientService

DHTML APIs provide APIs for users. With DHTML APIs, users can easily embed the DHTML pages or components into their own JSPs. All the methods in this interface can be invoked by remote server (RMI).

Support the running of multiple report sets in one session, and a report set can include one or more reports.

Descriptions of some key terms:

sessionId: the key for the session in the server (generated by the server automatically when you log in), and users can invoke DHTMLUtil.getSessionID(HttpServletRequest request) to get the key.

rptSetId: the key for the report set in DHTML (generated automatically after the report set has been run), and users can invoke DHTMLUtil.getRptSetId(HttpServletRequest request) to get the key.

rptName: the key for the report in DHTML (retrieved from the report set after the report set has been run), and users can invoke DHTMLUtil.getRptName(HttpServletRequest request) to get the key.

Note of using this DHTML API:

You must follow a certain order for the method which uses the parameters "sessionId", "rptSetId" and "rptName" in dhtml.jsp. For example: getCurrentPageNumber(String sessionId, String rptSetId, String rptName) must be called after the code "Map tmpmap = DHTMLUtil.runReport(request, params);", because the parameters are offered after the report set has been run. If the wrong order is used, a jsp error will be generated. And there is no specified order for the other API methods that do not use the parameters.

Method Summary
`void` | `addDHTMLException(java.lang.String sessionId, java.lang.String dRptSetId, java.lang.Throwable e)`
`java.lang.String` | `buildPagePropertyElement(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String propName, java.lang.String dsid, java.lang.String subkey)` Deprecated. `getPagePropertiesInfo(String, String, String, String, String)`
`java.lang.String` | `buildPropertyElement(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String dsid, java.lang.String propName)` Deprecated. `getPropertisInfo(String, String, String, String)`
`java.lang.String` | `buildPropertyElement(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String dsid, java.lang.String instName, java.lang.String propName)` Deprecated. `getPropertisInfo(String, String, String, String, String)`
`java.lang.String` | `buildRenderPropertyElement(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String dsid, int renderType, java.lang.String propName)` Deprecated. `getRenderPropertyInfo(String, String, String, String, int)`
`java.lang.String` | `buildReportPropertyElement(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String propName)` Deprecated. `getReportPropertiesInfo(String, String, String)`
`int` | `canDoAction(int op)`
`boolean` | `canNewReport(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Determines whether a new report set can be created or not.
`java.lang.String` | `checkFlyFormulaSyntax(java.lang.String reportId, DHTMLFlyResourceScope scope, java.lang.String expression, java.lang.String blQulifyDisplayName)` Checks whether the fly formula has syntax error.
`boolean` | `checkFlyResourceName(java.lang.String reportId, DHTMLFlyResourceScope scope, java.lang.String rscQulifiedDisplayName)` Checks whether the rscQulifiedDisplayName of a dynamic resource is valid or not in current environment.
`java.lang.String` | `checkSelectParameters(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.util.Hashtable parameters)` Checks user-selected parameters.
`void` | `clearDHTMLExceptions(java.lang.String sessionId, java.lang.String dRptSetId)` Clears all current DHTML Exceptions.
`void` | `closeBackgroundReport(java.lang.String sessionId, java.lang.String openTaskId)`
`int` | `closeReportSet(java.lang.String sessionId, java.lang.String rptSetId)`
`void` | `closeRptSheet(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)`
`java.lang.String` | `convertingOldReport(java.lang.String aCatPath, java.lang.String aRptPath)`
`byte[]` | `copyOctet(java.util.Hashtable params)` Copies the content of the specified binary file to a byte array.
`byte[]` | `copyOctet(java.lang.String id, java.lang.String translate)` Deprecated. Copies the content of the specified binary file to a byte array.
`char[]` | `copyText(java.util.Hashtable params)` Deprecated. Copies the content of the specified text file to a char array.
`char[]` | `copyText(java.lang.String id, java.lang.String translate)` Deprecated. Copies the content of the specified text file to a char array.
`int` | `createDHTMLSession(java.lang.String sessionID, java.lang.String UserName)` Checks and creates DHTML Session information.
`java.lang.String` | `createReportSetId()` Gets the id generated after the report set has been initialized for opening or cancelling a report set.
`java.util.Hashtable` | `dispatch(java.util.Hashtable params)`
`java.util.Vector` | `dispatch(java.lang.String id, java.util.Hashtable params)` Deprecated. Responses and processes all the requests from DHTML client.
`void` | `expire(java.lang.String sessionId)` Destroys user session when it expires.
`java.lang.String[]` | `getAllFonts()` Gets all fonts.
`java.lang.String[]` | `getAllRptNames(java.lang.String rptSetId)` Gets names of all reports in the report set.
`java.util.Hashtable` | `getAutoRefreshReportDataInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the information about auto refreshing report data.
`jet.web.dhtml.DHTMLRunTimeReportInfo` | `getBackgroundReportInfo(java.lang.String openTaskId)`
`int` | `getBrowserType(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the browser type.
`int` | `getBuildNumber()` Gets the build number of JReport Server.
`int` | `getBuildUpdate()` Gets the update number of JReport Server.
`java.lang.String` | `getBusinessLogicHandle(java.lang.String catalogName, java.lang.String jrs_ds_name, java.lang.String jrs_query_name, java.lang.String jrs_cube_name, java.lang.String userName)`
`java.lang.String` | `getBVTree(java.lang.String catalogName, java.lang.String UserName, java.lang.String dsName, java.lang.String bcName, boolean noDetail, java.lang.String dhtmlimagepath)` Deprecated.
`boolean` | `getCanRedo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Determines whether a redo action can be performed or not.
`boolean` | `getCanUndo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Determines whether an undo action can be performed or not.
`CatalogInfo` | `getCatalogInfo(java.lang.String catalogName, java.lang.String userName)` Deprecated. from V13.1 `getCatalogInfo(String, String, HashMap)`
`CatalogInfo` | `getCatalogInfo(java.lang.String catalogName, java.lang.String userName, java.util.HashMap parameters)` Gets the CatalogInfo object of a catalog.
`CatalogInfo` | `getCatalogInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String sheetId, java.lang.String subKey)` Gets the CatalogInfo object of a report set.
`java.lang.String` | `getCatalogName(java.lang.String rptSetId)` Gets the catalog name of the report set.
`java.lang.String` | `getCatalogName(java.lang.String userName, java.lang.String resourcePath)` Gets the real path of the catalog.
`java.lang.String` | `getCatalogResourceName(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the relative path and name of the catalog used by the specified report.
`java.lang.String[][][][]` | `getChartAvailableComboType()` Deprecated.
`java.lang.String[]` | `getChartPrimTypeName()` Deprecated.
`java.lang.String[]` | `getChartSubTypeName(int primTypeIDX)` Deprecated.
`ChartTypeInfo` | `getChartTypeInfo()` Gets the ChartTypeInfo.
`java.lang.String` | `getConcurrentReports()` Gets the maximum number of concurrent reports.
`java.lang.String` | `getConcurrentUsers()` Gets the maximum number of concurrent users.
`JNode` | `getCubeTreeNode(java.lang.String rptset_id, java.lang.String report_id, java.lang.String rcName)` Gets the cube tree.
`JNode` | `getCubeTreeNode(java.lang.String rptset_id, java.lang.String report_id, java.lang.String rcName, java.util.HashMap prop)` Gets the cube tree.
`int` | `getCurrentPageNumber(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the current page number.
`java.lang.String` | `getCurrentPagePanelInstanceName(java.lang.String sessionId, java.lang.String dRptSetId, java.lang.String drptName, java.lang.String dsId)` Gets the current page panel instance name.
`java.lang.String` | `getCurrentStyle(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the current style name.
`java.lang.String` | `getCurReportId(java.lang.String rptSetId)` Gets the name of the active report in the report set.
`jet.web.dhtml.DHTMLAction` | `getDHTMLAction()` Gets a DHTMLAction instance.
`DHTMLConfig` | `getDHTMLConfig()` Gets a DHTMLConfig instance.
`DHTMLDataInfo` | `getDHTMLDataInfo()` Gets a DHTMLDataInfo instance.
`java.lang.Throwable[]` | `getDHTMLExceptions(java.lang.String sessionId, java.lang.String dRptSetId)` Gets all current DHTML Exceptions.
`DHTMLToolkit` | `getDHTMLToolkit()` Gets a DHTMLToolkit instance.
`DHTMLWriter` | `getDHTMLWriter(java.lang.String sessionID, java.lang.String rptSetId)` Gets a DHTMLWriter instance.
`java.util.Vector` | `getDlgStatus(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String dlgName)` Gets status of dialogs.
`java.lang.String` | `getExpire()` Deprecated. from V11.1
`java.lang.String` | `getExpire(java.lang.String seesionId)` Gets the expiration time of JReport Server license.
`FlyFormula` | `getFlyFormula(java.lang.String reportId, DHTMLFlyResourceScope scope, java.lang.String rscQulifiedDisplayName)` Gets dynamic formula with the scope (report, data source, query).
`FlyMeasure` | `getFlyMeasure(java.lang.String reportId, DHTMLFlyResourceScope scope, java.lang.String rscQulifiedDisplayName)` Gets dynamic measure with the scope (report, data source, query).
`java.lang.String[][]` | `getGotoList(java.lang.String sessionId, java.lang.String rptSetId)` Gets the report list generated by Go series actions (such as go up/go down).
`java.lang.String` | `getHelpPath(java.lang.String helpId)` Gets help path URL.
`java.lang.String` | `getHelpRootPath()` Gets JReport Server help's root path
`java.lang.String` | `getHomePath()` Gets the home path of the report server.
`java.lang.String[]` | `getJoinPathList(java.lang.String sessionId, java.lang.String rptSetId)` Gets the list of join paths among the query tables for continuing to run the report, for the case when queries are created in JReport Viewer.
`java.lang.String` | `getLicenseType()` Gets the license type, for example whether it is a temporary license.
`java.lang.String` | `getLicenseUser()` Gets the user id used for installing the JReport Server.
`java.lang.String` | `getMainPage()` Gets the path and filename of user main page.
`java.lang.String[][][]` | `getNewReportInfo(java.lang.String catalogName, java.lang.String UserName)` Deprecated.
`java.lang.String[]` | `getOpenedRptDisplayNames(java.lang.String rptSetId)` Gets display names of all open reports in the report set.
`java.lang.String[]` | `getOpenedRptNames(java.lang.String rptSetId)` Gets names of all open reports in the report set.
`java.lang.String[][]` | `getOpenedRptsNames(java.lang.String rptSetId)` Gets names and display names of all open reports in the report set.
`java.lang.String[][]` | `getOpenedRptsNames(java.lang.String rptSetId, java.lang.String sessionId)` Gets names and NLS display names of all open reports in the report set.
`int[]` | `getOpenReportStates(java.lang.String sessionId, java.lang.String rptSetId)` Gets the open state of the report set. In order to avoid repeatedly showing the alert message to the user.
`int` | `getPageCompCount(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String componetType)` Gets the number of the specific component in the current page.
`java.lang.String[][]` | `getPagePanelsObject(java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey)` Gets a list of page panels in the report.
`PropertiesInfo` | `getPagePropertiesInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String dsid, java.lang.String subkey)` Gets a PropertiesInfo instance of the report page.
`jet.web.dhtml.PropertyInfo` | `getPagePropertyInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String propName)` Gets a PropertyInfo instance of a property of the report page.
`jet.web.dhtml.PropertyInfo` | `getPagePropertyInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String propName, java.lang.String dsid, java.lang.String subkey)` Deprecated.
`java.lang.String` | `getParameterDefaultValue(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String paramName)` Deprecated.
`java.lang.String[]` | `getParameterDefaultValues(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String paramName)` Deprecated.
`java.lang.String[][]` | `getParameterDisplayAndRealValues(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String paramName)` Deprecated.
`java.lang.String` | `getParameterFormat(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String paramName)` Deprecated.
`java.lang.String[]` | `getParameterNames(java.lang.String sessionId, java.lang.String rptSetId)` Deprecated.
`java.lang.String` | `getParameterPrompt(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String paramName)` Deprecated.
`ParametersInfo` | `getParametersInfo(java.lang.String sessionId, java.lang.String rptsetId)` Deprecated. `getParametersResultObject(String, String)` From V13 Gets parameters information for an open report set
`com.jinfonet.web.ResultObjectImpl` | `getParametersResultObject(java.lang.String sessionId, java.lang.String rptsetId)` Gets parameters information for an open report set
`java.lang.String` | `getParameterType(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String paramName)` Deprecated.
`java.util.Hashtable` | `getParsedOpenreport(java.lang.String sessionId, java.lang.String rptsetid)`
`java.lang.String` | `getPreviousBusinessCubeName(java.lang.String sessionId, java.lang.String rptSetId)` Gets a Business Cube's BLName in previous DataContainerWizardInformation.
`PropertiesInfo` | `getPropertisInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String dsid)` Gets a PropertiesInfo instance of a component.
`PropertiesInfo` | `getPropertisInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String dsid, java.lang.String instName)` Gets a PropertiesInfo instance of a component.
`jet.web.dhtml.PropertyInfo` | `getPropertyInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String dsid, java.lang.String propName)` Gets a PropertyInfo instance of a property of a result object.
`jet.web.dhtml.PropertyInfo` | `getPropertyInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String dsid, java.lang.String instName, java.lang.String propName)` Gets a PropertyInfo instance of a property of a result object.
`java.lang.String` | `getPropertyValue(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String dsid, java.lang.String instName, java.lang.String propName)` Gets the property value of the specified object.
`java.lang.String[]` | `getPropertyValueList(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String dsid, java.lang.String instName, java.lang.String propName)`
`java.util.Hashtable` | `getReferedByParameters(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String paramName, java.lang.Object paramValue)` Gets all referred parameters information with the specified parameter name and value of open report set.
`java.util.Hashtable` | `getReferedByParameters(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String paramName, java.lang.String paramValue)` Deprecated.
`ParametersInfo` | `getReferedByParametersInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String paramName, java.lang.String paramValue)` Gets all referred parameters information with the specified parameter name and value of the open report set.
`PropertiesInfo` | `getRenderPropertyInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String dsid, int renderType)` Gets a PropertiesInfo instance of a render.
`jet.web.dhtml.PropertyInfo` | `getRenderPropertyInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String dsid, int renderType, java.lang.String propName)` Gets a PropertyInfo instance of a property of the Render.
`java.lang.String` | `getReportName(java.lang.String id, int index)` Deprecated. Gets the report name by index.
`PropertiesInfo` | `getReportPropertiesInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets a PropertyInfo instance of the report.
`jet.web.dhtml.PropertyInfo` | `getReportPropertyInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String propName)` Gets a PropertyInfo instance of a property of the report.
`java.lang.String` | `getReportResourceName(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the relative path and name of the report set.
`java.lang.String` | `getRestrictID()` Gets the restrict id.
`java.lang.String` | `getResultTempPath(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Returns the report result temporary path.
`java.lang.String` | `getRptCountry(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the country information used by the report set.
`java.lang.String` | `getRptEncoding(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the encoding used by the report set.
`java.lang.String` | `getRptLanguage(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the language used by the report set.
`int[]` | `getRptPageWH(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the current report page's width and height.
`java.lang.String` | `getRptSetDisplayName(java.lang.String rptSetId)` Gets the display name of the report set.
`java.lang.String` | `getRptSheetDesc(java.lang.String rptSetId, java.lang.String rptName)` Gets the report sheet descirption.
`java.lang.String` | `getRptSheetDisplayName(java.lang.String rptSetId, java.lang.String rptName)` Gets the display name of the report sheet.
`java.util.Hashtable` | `getRptSheetOpenState(java.lang.String sessionId, java.lang.String rptSetId)`
`java.util.Vector` | `getRuntimeDHTMLReportsStatus(java.lang.String userID)`
`jet.web.dhtml.SearchInfo` | `getSearchInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets a SearchInfo instance of the report.
`jet.web.dhtml.SearchInfo` | `getSearchInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String dsId)` Gets a SearchInfo instance of the report.
`java.lang.String[][]` | `getStyleList()` Gets the display name and CSS path of the style list.
`java.lang.String` | `getSubReportKey(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String dsid)` Gets the key of the engine corresponding to the current object.
`java.lang.String[]` | `getSubReportKeys(java.lang.String rptSetId, java.lang.String rptName)` Gets the list of keys of all engines related to the current report.
`java.util.List` | `getTempFileDirectories()` Gets the temporary file directories.
`int` | `getTotalPageNumnber(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Gets the total physical page number.
`java.lang.String` | `getUsableReportName(java.lang.String rptSetId)` Gets the report name when creating a new report.
`java.lang.String` | `getUserName(java.lang.String sessionId)` Gets the user name by the session id.
`java.lang.String` | `getVersion()` Gets the version number of JReport Server.
`java.util.Hashtable` | `handleDHTMLRunTimeInfo(java.util.Hashtable key)`
`boolean` | `hasMaster(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Determines whether the report is linked from a master report or not.
`boolean` | `hasNextDetail(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Determines whether the report will link to another detail report or not.
`boolean` | `hasPrevDetail(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Determines whether the report is linked to another detail report or not.
`boolean` | `isCloseWindow(java.lang.String sessionId)` Gets the mode of closing window for a specified user.
`boolean` | `isDesignerViewMode(java.lang.String sessionId, java.lang.String rptSetId)` Determines whether it is Designer view mode or not.
`boolean` | `isFinishPipeline(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Determines whether the report is pipe-line mode or not.
`boolean` | `isFirstOpen(java.lang.String sessionId)` Determines whether it is the first time to run the report set or not.
`boolean` | `isLink(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Determines whether the report is a link report or not.
`boolean` | `isModified(java.lang.String sessionId, java.lang.String rptSetId)` Determines whether the report set has been modified or not.
`boolean` | `isNewReportSet(java.lang.String sessionId, java.lang.String rptSetId)` Determines whether the report set is newly-created or not.
`boolean` | `isOldReport(java.lang.String rptPath)`
`boolean` | `isOldRptSetVersion(java.lang.String dRptSetId)` Determines whether the report is an old version (8.2) report or not.
`boolean` | `isOpened(java.lang.String rptSetId, java.lang.String rptName)` Determines whether the report is opened or not.
`boolean` | `isParameterOnlySelect(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String paramName)` Deprecated.
`boolean` | `isParameterReferedBy(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String paramName)` Deprecated.
`boolean` | `isParameterRequired(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String paramName)` Deprecated.
`boolean` | `isReportSetFirstOpen(java.lang.String sessionId, java.lang.String rptSetId)`
`boolean` | `isRptSheetSaved(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)`
`boolean` | `isRSD(java.lang.String sessionId, java.lang.String rptSetId)` Determines whether the report set is of RSD type or not.
`boolean` | `isRsdFile(java.lang.String sessionId, java.lang.String rptSetId)` Determines whether the report set is of RSD type or not.
`boolean` | `isRSDFile(java.lang.String sessionId, java.lang.String rptSetId)` Determines whether the report is RSD or not.
`boolean` | `isSaved(java.lang.String sessionId, java.lang.String rptSetId)` Determines whether the report set has been saved or not.
`boolean` | `isShowSpalshScreen(java.lang.String sessionId)` Determines whether to show the splash screen or not.
`boolean` | `isTaglib(java.lang.String sessionId, java.lang.String rptSetId)` Determines whether to use taglib to run report set or not.
`void` | `loadSkin(java.lang.String sessionId, java.lang.String rptSetId)` Loads the default current skin name from session or skin.txt
`void` | `notify_change_engine_dosort_buffer_size(int buffer_size)`
`java.util.Map` | `OpenAndGetReportInfo(java.util.Hashtable params)`
`void` | `openBackgroundReport(java.lang.String oldOpenTaskId, java.lang.String newOpenTaskId)`
`java.lang.String` | `openBackgroundReportURI(java.lang.String sessionId, java.lang.String openTaskId)`
`java.util.Hashtable` | `openReport(java.util.Hashtable params)` Opens a report set with an active report.
`java.lang.String[]` | `parseRuntimeID(java.lang.String runtimeID)` Builds an array from a runtimeID.
`void` | `removeParsedOpenreportParameter(java.lang.String sessionId, java.lang.String rptsetid)`
`void` | `reStartRunBackgroundReport(java.lang.String openTaskId)`
`void` | `setCloseWindow(boolean closeWindow)` Sets the mode of closing window for all users.
`void` | `setCloseWindow(java.lang.String sessionId, boolean closeWindow)` Sets the mode of closing window for a specified user.
`void` | `setDHTMLRptSheetByteArrayContent(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, byte[] byteArrayContent)`
`void` | `setParsedOpenreport(java.lang.String sessionId, java.lang.String rptsetid, java.util.Hashtable parsedOpenRptParams)`
`boolean` | `stopProcessingBackgroundReport(java.lang.String sessionId, java.lang.String openTaskId)`
`jet.web.dhtml.SearchInfo` | `updateSearchInfo(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName)` Updates the SearchInfo of the report.

Method Detail

### createDHTMLSession

    int createDHTMLSession(java.lang.String sessionID,
                           java.lang.String UserName)

  Checks and creates DHTML Session information.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/customize_panel.jsp.

  Parameters:
    `sessionId` - the user session id.
    `UserName` - user name.
  Returns:
    value which is defined in DHTMLConstant:
      DHTMLConstant.CHECK_CREATE_SESSION_OK -- The job is finished successfully.
      DHTMLConstant.CHECK_CREATE_SESSION_ERROR -- The job failed with error.

### createReportSetId

    java.lang.String createReportSetId()

  Gets the id generated after the report set has been initialized for opening or cancelling a report set.

  Returns:
    report set id.

### expire

    void expire(java.lang.String sessionId)

  Destroys user session when it expires.

  Parameters:
    `sessionId` - the user session id.

### getAllRptNames

    java.lang.String[] getAllRptNames(java.lang.String rptSetId)

  Gets names of all reports in the report set.

  Parameters:
    `rptSetId` - the report set id.
  Returns:
    names of all reports in the report set.

### getCanUndo

    boolean getCanUndo(java.lang.String sessionId,
                       java.lang.String rptSetId,
                       java.lang.String rptName)

  Determines whether an undo action can be performed or not.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    true if an undo action can be performed; otherwise false.

### getCanRedo

    boolean getCanRedo(java.lang.String sessionId,
                       java.lang.String rptSetId,
                       java.lang.String rptName)

  Determines whether a redo action can be performed or not.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    true if a redo action can be performed; otherwise false.

### getCatalogName

    java.lang.String getCatalogName(java.lang.String rptSetId)

  Gets the catalog name of the report set.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/newchart.jsp.

  Parameters:
    `rptSetId` - the report set id.
  Returns:
    the catalog name of the report set.

### getCatalogName

    java.lang.String getCatalogName(java.lang.String userName,
                                    java.lang.String resourcePath)

  Gets the real path of the catalog.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/newchart.jsp.

  Parameters:
    `userName` - the user name.
    `resourcePath` - the relative path of the catalog resources.
  Returns:
    the real path of the catalog.

### isCloseWindow

    boolean isCloseWindow(java.lang.String sessionId)

  Gets the mode of closing window for a specified user.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the mode of closing window:
      true -- close the window,
      false -- keep the window open.

### getCurrentPageNumber

    int getCurrentPageNumber(java.lang.String sessionId,
                             java.lang.String rptSetId,
                             java.lang.String rptName)

  Gets the current page number.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/commontoolbar.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the current page number.

### getCurrentStyle

    java.lang.String getCurrentStyle(java.lang.String sessionId,
                                     java.lang.String rptSetId,
                                     java.lang.String rptName)

  Gets the current style name.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/rptmain.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the current style name.

### getCurReportId

    java.lang.String getCurReportId(java.lang.String rptSetId)

  Gets the name of the active report in the report set.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/rptsetbar.jsp.

  Parameters:
    `rptSetId` - the report set id.
  Returns:
    the name of the active report in the report set.

### getDHTMLConfig

    DHTMLConfig getDHTMLConfig()

  Gets a DHTMLConfig instance.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/dhtml.jsp.

  Returns:
    a DHTMLConfig instance.

### getDHTMLDataInfo

    DHTMLDataInfo getDHTMLDataInfo()

  Gets a DHTMLDataInfo instance.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/builddso.jsp.

  Returns:
    a DHTMLDataInfo instance.

### getDHTMLWriter

    DHTMLWriter getDHTMLWriter(java.lang.String sessionID,
                               java.lang.String rptSetId)

  Gets a DHTMLWriter instance.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/report.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
  Returns:
    a DHTMLWriter instance.

### getOpenedRptNames

    java.lang.String[] getOpenedRptNames(java.lang.String rptSetId)

  Gets names of all open reports in the report set.

  Parameters:
    `rptSetId` - the report set id.
  Returns:
    names of all open reports in the report set.

### getRptLanguage

    java.lang.String getRptLanguage(java.lang.String sessionId,
                                    java.lang.String rptSetId,
                                    java.lang.String rptName)

  Gets the language used by the report set.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the language used by the report set.

### getRptEncoding

    java.lang.String getRptEncoding(java.lang.String sessionId,
                                    java.lang.String rptSetId,
                                    java.lang.String rptName)

  Gets the encoding used by the report set.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the encoding used by the report set.

### getRptCountry

    java.lang.String getRptCountry(java.lang.String sessionId,
                                   java.lang.String rptSetId,
                                   java.lang.String rptName)

  Gets the country information used by the report set.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the country information used by the report set.

### getRptSetDisplayName

    java.lang.String getRptSetDisplayName(java.lang.String rptSetId)

  Gets the display name of the report set.

  Parameters:
    `rptSetId` - the report set id.
  Returns:
    the display name of the report set.

### getRptSheetDisplayName

    java.lang.String getRptSheetDisplayName(java.lang.String rptSetId,
                                            java.lang.String rptName)

  Gets the display name of the report sheet.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/openrptdlg.jsp.

  Parameters:
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the display name of the report sheet.

### getStyleList

    java.lang.String[][] getStyleList()

  Gets the display name and CSS path of the style list.

  Returns:
    the two-dimensional style list String [[stylename1,d:\XXX],[stylename2,c:\XXX],...].

### getTotalPageNumnber

    int getTotalPageNumnber(java.lang.String sessionId,
                            java.lang.String rptSetId,
                            java.lang.String rptName)

  Gets the total physical page number.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/commontoolbar.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    The total physical page number.

### setCloseWindow

    void setCloseWindow(java.lang.String sessionId,
                        boolean closeWindow)

  Sets the mode of closing window for a specified user.

  Parameters:
    `sessionId` - the user session id.
    `closeWindow` - if true, the window will be closed; otherwise the window will not be closed.

### setCloseWindow

    void setCloseWindow(boolean closeWindow)

  Sets the mode of closing window for all users.

  Parameters:
    `closeWindow` - if true, the window will be closed; otherwise the window will not be closed.

### getSubReportKeys

    java.lang.String[] getSubReportKeys(java.lang.String rptSetId,
                                        java.lang.String rptName)

  Gets the list of keys of all engines related to the current report.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/filter.jsp.

  Parameters:
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the list of keys of all engines related to the current report.

### parseRuntimeID

    java.lang.String[] parseRuntimeID(java.lang.String runtimeID)

  Builds an array from a runtimeID.

  Parameters:
    `runtimeID` - runtime id. supported runtimeID format: SessionID-RptSetId-RptName or SessionID-RptSetId.
  Returns:
    an array, such as: [SessionID,RptSetId,RptName] or [SessionID,RptSetId]

### openReport

    java.util.Hashtable openReport(java.util.Hashtable params)
                                   throws RptServerException,
                                          java.io.IOException,
                                          jet.JDException

  Opens a report set with an active report.

  Parameters:
    `params` - input user parameter.
  Returns:
    the report information.
  Throws:
    `RptServerException`
    `java.io.IOException`
    `jet.JDException`

### getDHTMLAction

    jet.web.dhtml.DHTMLAction getDHTMLAction()

  Gets a DHTMLAction instance.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/customize_panel.jsp.

  Returns:
    a DHTMLAction instance.

### getSubReportKey

    java.lang.String getSubReportKey(java.lang.String sessionId,
                                     java.lang.String rptSetId,
                                     java.lang.String rptName,
                                     java.lang.String dsid)

  Gets the key of the engine corresponding to the current object.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/selectvalues.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `dsid` - ID of the result object.
  Returns:
    the key of the engine corresponding to the current object.

### getOpenedRptDisplayNames

    java.lang.String[] getOpenedRptDisplayNames(java.lang.String rptSetId)

  Gets display names of all open reports in the report set.

  Parameters:
    `rptSetId` - the report set id.
  Returns:
    display names of all open reports in the report set.

### getOpenedRptsNames

    java.lang.String[][] getOpenedRptsNames(java.lang.String rptSetId)

  Gets names and display names of all open reports in the report set.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/rptsetbar.jsp.

  Parameters:
    `rptSetId` - the report set id.
  Returns:
    String[][], first array member is name, second DisplayName.

### getOpenedRptsNames

    java.lang.String[][] getOpenedRptsNames(java.lang.String rptSetId,
                                            java.lang.String sessionId)

  Gets names and NLS display names of all open reports in the report set.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/rptsetbar.jsp.

  Parameters:
    `rptSetId` - the report set id.
    `sessionId` - the session id.
  Returns:
    String[][], first array member is name, second DisplayName.

### isOpened

    boolean isOpened(java.lang.String rptSetId,
                     java.lang.String rptName)

  Determines whether the report is opened or not.

  Parameters:
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    true if the report is opened, otherwise false.

### getUserName

    java.lang.String getUserName(java.lang.String sessionId)

  Gets the user name by the session id.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/footer.jsp.

  Parameters:
    `sessionId` - the user session id.
  Returns:
    the user name.

### getPropertyInfo

    jet.web.dhtml.PropertyInfo getPropertyInfo(java.lang.String sessionId,
                                               java.lang.String rptSetId,
                                               java.lang.String rptName,
                                               java.lang.String dsid,
                                               java.lang.String propName)

  Gets a PropertyInfo instance of a property of a result object.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `dsid` - the result object id.
    `propName` - the property name.
  Returns:
    a PropertyInfo instance or null.

### getPropertyInfo

    jet.web.dhtml.PropertyInfo getPropertyInfo(java.lang.String sessionId,
                                               java.lang.String rptSetId,
                                               java.lang.String rptName,
                                               java.lang.String dsid,
                                               java.lang.String instName,
                                               java.lang.String propName)

  Gets a PropertyInfo instance of a property of a result object.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `dsid` - the result object id.
    `instName` - the instant name of templet object.
    `propName` - the property name.
  Returns:
    a PropertyInfo instance or null.

### getSearchInfo

    jet.web.dhtml.SearchInfo getSearchInfo(java.lang.String sessionId,
                                           java.lang.String rptSetId,
                                           java.lang.String rptName)
                                           throws jet.rptservice.api.exception.JRScheduleException

  Gets a SearchInfo instance of the report.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    a SearchInfo instance, not null.
  Throws:
    `jet.rptservice.api.exception.JRScheduleException`

### getSearchInfo

    jet.web.dhtml.SearchInfo getSearchInfo(java.lang.String sessionId,
                                           java.lang.String rptSetId,
                                           java.lang.String rptName,
                                           java.lang.String dsId)
                                           throws jet.rptservice.api.exception.JRScheduleException

  Gets a SearchInfo instance of the report.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/searchdialog.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `dsId` - the result object id.
  Returns:
    a SearchInfo instance, not null.
  Throws:
    `jet.rptservice.api.exception.JRScheduleException`

### updateSearchInfo

    jet.web.dhtml.SearchInfo updateSearchInfo(java.lang.String sessionId,
                                              java.lang.String rptSetId,
                                              java.lang.String rptName)
                                              throws jet.rptservice.api.exception.JRScheduleException

  Updates the SearchInfo of the report.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the new SearchInfo instance, not null.
  Throws:
    `jet.rptservice.api.exception.JRScheduleException`

### copyOctet

    byte[] copyOctet(java.util.Hashtable params)
                     throws jet.JDException

  Copies the content of the specified binary file to a byte array.

  Parameters:
    `params` - input user parameters:
      DHTMLConstant.SESSION_ID, the user session id,
      DHTMLConstant.RPTSET_ID, the report set id,
      DHTMLConstant.RPT_NAME, the report name,
      DHTMLConstant.TRANSLATE, the file name.
  Returns:
    a byte array.
  Throws:
    `jet.JDException`

### getBrowserType

    int getBrowserType(java.lang.String sessionId,
                       java.lang.String rptSetId,
                       java.lang.String rptName)

  Gets the browser type.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/customize_panel.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the browser type which is defined in DHTMLConstant:
      DHTMLConstant.BROWSER_IE,
      ...
      DHTMLConstant.BROWSER_CHROME.

### hasMaster

    boolean hasMaster(java.lang.String sessionId,
                      java.lang.String rptSetId,
                      java.lang.String rptName)

  Determines whether the report is linked from a master report or not.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/linkbar.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    true if the report is linked from a master report; otherwise false.

### hasPrevDetail

    boolean hasPrevDetail(java.lang.String sessionId,
                          java.lang.String rptSetId,
                          java.lang.String rptName)

  Determines whether the report is linked to another detail report or not.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/linkbar.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    true if the report is linked to another detail report; otherwise false.

### hasNextDetail

    boolean hasNextDetail(java.lang.String sessionId,
                          java.lang.String rptSetId,
                          java.lang.String rptName)

  Determines whether the report will link to another detail report or not.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/linkbar.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    true if the report will link to another detail report; otherwise false.

### isLink

    boolean isLink(java.lang.String sessionId,
                   java.lang.String rptSetId,
                   java.lang.String rptName)

  Determines whether the report is a link report or not.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/linkbar.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    true if the report is a link report; otherwise false.

### getDlgStatus

    java.util.Vector getDlgStatus(java.lang.String sessionId,
                                  java.lang.String rptSetId,
                                  java.lang.String rptName,
                                  java.lang.String dlgName)
                                  throws jet.rptservice.api.exception.JRScheduleException

  Gets status of dialogs.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/filter.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `dlgName` - the dialog name: "filter" or "sort".
  Returns:
    status of dialogs, such as:
      vector[0]: "dataset"/"component",
      vector[1]: component name,...sub component,
      ....
  Throws:
    `jet.rptservice.api.exception.JRScheduleException`

### getDHTMLToolkit

    DHTMLToolkit getDHTMLToolkit()

  Gets a DHTMLToolkit instance.

  Returns:
    a DHTMLToolkit instance.

### getRptPageWH

    int[] getRptPageWH(java.lang.String sessionId,
                       java.lang.String rptSetId,
                       java.lang.String rptName)

  Gets the current report page's width and height.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the current report page's width and height.

### getMainPage

    java.lang.String getMainPage()

  Gets the path and filename of user main page.

  Returns:
    the path and filename of user main page.

### getRptSheetDesc

    java.lang.String getRptSheetDesc(java.lang.String rptSetId,
                                     java.lang.String rptName)

  Gets the report sheet descirption.

  An example of the method:

    %serverhome%/public_html/dhtmljsp/openrptdlg.jsp.

  Parameters:
    `rptSetId` - the report set id.
    `rptName` - the report name.
  Returns:
    the report sheet descirption. For example: %serverhome%/public_html/dhtmljsp/openrptdlg.jsp.

### getParametersInfo

    ParametersInfo getParametersInfo(java.lang.String sessionId,
                                     java.lang.String rptsetId)

  Deprecated. `getParametersResultObject(String, String)` From V13 Gets parameters information for an open report set

  Parameters:
    `sessionId` - the user session id
    `rptsetId` - the report set id
  Returns:
    The `jet.webreport.ParametersInfo`

### getReferedByParametersInfo

    ParametersInfo getReferedByParametersInfo(java.lang.String sessionId,
                                              java.lang.String rptSetId,
                                              java.lang.String paramName,
                                              java.lang.String paramValue)

  Gets all referred parameters information with the specified parameter name and value of the open report set.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `paramName` - parameter name.
    `paramValue` - parameter value.
  Returns:
    all reffered parameters information.

### getReferedByParameters

    java.util.Hashtable getReferedByParameters(java.lang.String sessionId,
                                               java.lang.String rptSetId,
                                               java.lang.String paramName,
                                               java.lang.Object paramValue)

  Gets all referred parameters information with the specified parameter name and value of open report set. From V13, includes "params" with a JSON array of `com.jinfonet.web.com.jinfonet.web.beans.ReportParameter`

  An example of the method:

    %serverhome%/public_html/dhtmljsp/actionjsp/get_referedby_parameter.jsp.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `paramName` - the parameter name.
    `paramValue` - the parameter value:
      for multi-value, input String[]; for single value, input String.
    Returns:
      all referred parameters information, such as
      {"param1":{"defaultValue":"1","isAll":"true","selectValues":[["1","Ann"],["2","John"]...]}, "param2":{},... "params":[`com.jinfonet.web.com.jinfonet.web.beans.ReportParameter`] }; For example: %serverhome%/public_html/dhtmljsp/actionjsp/get_referedby_parameter.jsp.

  ### getJoinPathList

      java.lang.String[] getJoinPathList(java.lang.String sessionId,
                                         java.lang.String rptSetId)

    Gets the list of join paths among the query tables for continuing to run the report, for the case when queries are created in JReport Viewer.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/select_joinpath.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `paramName` - the name of the parameter.
    Returns:
      the join paths list.

  ### getPagePropertyInfo

      jet.web.dhtml.PropertyInfo getPagePropertyInfo(java.lang.String sessionId,
                                                     java.lang.String rptSetId,
                                                     java.lang.String rptName,
                                                     java.lang.String propName)

    Gets a PropertyInfo instance of a property of the report page.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `propName` - the property name.
    Returns:
      the instance of PropertyInfo.

  ### getReportPropertyInfo

      jet.web.dhtml.PropertyInfo getReportPropertyInfo(java.lang.String sessionId,
                                                       java.lang.String rptSetId,
                                                       java.lang.String rptName,
                                                       java.lang.String propName)

    Gets a PropertyInfo instance of a property of the report.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/header.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `propName` - the property name.
    Returns:
      the instance of PropertyInfo.

  ### getHelpRootPath

      java.lang.String getHelpRootPath()

    Gets JReport Server help's root path

    Returns:
      help root path

  ### getHelpPath

      java.lang.String getHelpPath(java.lang.String helpId)

    Gets help path URL.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/help.jsp.

    Returns:
      the help path URL, or null if the help is unavailable.

  ### getCatalogResourceName

      java.lang.String getCatalogResourceName(java.lang.String sessionId,
                                              java.lang.String rptSetId,
                                              java.lang.String rptName)

    Gets the relative path and name of the catalog used by the specified report.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/newreport.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
    Returns:
      the relative path and name of the catalog.

  ### getReportResourceName

      java.lang.String getReportResourceName(java.lang.String sessionId,
                                             java.lang.String rptSetId,
                                             java.lang.String rptName)

    Gets the relative path and name of the report set.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/index.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
    Returns:
      the relative path and name of the report set.

  ### getOpenReportStates

      int[] getOpenReportStates(java.lang.String sessionId,
                                java.lang.String rptSetId)

    Gets the open state of the report set.
    In order to avoid repeatedly showing the alert message to the user.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/linkbar.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
    Returns:
      a two length int array [n1,n2]:
        [n1]- the number of non-open reports in the report set.
        [n2]- the number of open reports in the report set.

  ### isSaved

      boolean isSaved(java.lang.String sessionId,
                      java.lang.String rptSetId)

    Determines whether the report set has been saved or not.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/actionjsp/saveresult.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
    Returns:
      true, if the report set has been saved, otherwise false.

  ### getPagePanelsObject

      java.lang.String[][] getPagePanelsObject(java.lang.String rptSetId,
                                               java.lang.String rptName,
                                               java.lang.String subRptKey)

    Gets a list of page panels in the report.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dialogjsp/pageproperty.jsp.

    Parameters:
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `subRptKey` - the key of the engine.
    Returns:
      a list of page panels in the report.

  ### isFirstOpen

      boolean isFirstOpen(java.lang.String sessionId)

    Determines whether it is the first time to run the report set or not.

    Parameters:
      `sessionId` - the user session id.
    Returns:
      true if it is the first time to run the report set, otherwise false.

  ### loadSkin

      void loadSkin(java.lang.String sessionId,
                    java.lang.String rptSetId)

    Loads the default current skin name from session or skin.txt

    An example of the method:

      %serverhome%/public_html/dhtmljsp/customize_panel.jsp.

    Parameters:
      `sessionId` - the user session id.

  ### isNewReportSet

      boolean isNewReportSet(java.lang.String sessionId,
                             java.lang.String rptSetId)

    Determines whether the report set is newly-created or not.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/index.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
    Returns:
      true if the report set is newly-created, otherwise false.

  ### isRSD

      boolean isRSD(java.lang.String sessionId,
                    java.lang.String rptSetId)

    Determines whether the report set is of RSD type or not.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/save_result.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
    Returns:
      true if the report set is of RSD type, otherwise false.

  ### getUsableReportName

      java.lang.String getUsableReportName(java.lang.String rptSetId)

    Gets the report name when creating a new report.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/newreport.jsp.

    Parameters:
      `rptSetId` - the report set id.
    Returns:
      the report name when creating a new report.

  ### canNewReport

      boolean canNewReport(java.lang.String sessionId,
                           java.lang.String rptSetId,
                           java.lang.String rptName)

    Determines whether a new report set can be created or not.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
    Returns:
      true if a new report set can be created, otherwise false.

  ### getVersion

      java.lang.String getVersion()

    Gets the version number of JReport Server.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dailogjsp/aboutdhtml.jsp.

    Returns:
      the version number of JReport Server, such as: v9.0.0 Service Pack 1.

  ### getBuildNumber

      int getBuildNumber()

    Gets the build number of JReport Server.

    Returns:
      the build number of JReport Server.

  ### getBuildUpdate

      int getBuildUpdate()

    Gets the update number of JReport Server.

    Returns:
      the update number of JReport Server.

  ### getLicenseUser

      java.lang.String getLicenseUser()

    Gets the user id used for installing the JReport Server.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dailogjsp/aboutdhtml.jsp.

    Returns:
      the user id used for installing the JReport Server.

  ### getExpire

      java.lang.String getExpire()

    Deprecated. from V11.1

    Gets the expiration time of JReport Server license.

    Returns:
      the expiration time of JReport Server license.

  ### getLicenseType

      java.lang.String getLicenseType()

    Gets the license type, for example whether it is a temporary license.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dailogjsp/aboutdhtml.jsp.

    Returns:
      the license type.

  ### getRestrictID

      java.lang.String getRestrictID()

    Gets the restrict id.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dailogjsp/aboutdhtml.jsp.

    Returns:
      the restrict id.

  ### getConcurrentUsers

      java.lang.String getConcurrentUsers()

    Gets the maximum number of concurrent users.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dailogjsp/aboutdhtml.jsp.

    Returns:
      the maximum number of concurrent users.

  ### getConcurrentReports

      java.lang.String getConcurrentReports()

    Gets the maximum number of concurrent reports.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dailogjsp/aboutdhtml.jsp.

    Returns:
      the maximum number of concurrent reports.

  ### getResultTempPath

      java.lang.String getResultTempPath(java.lang.String sessionId,
                                         java.lang.String rptSetId,
                                         java.lang.String rptName)

    Returns the report result temporary path.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
    Returns:
      the report result temporary path.

  ### getHomePath

      java.lang.String getHomePath()

    Gets the home path of the report server.

    Returns:
      the home path of the report server. It is the install-root of JReport Server.
    See Also:
      `jet.server.api.ServerEnv.getHomePath().`

  ### getRenderPropertyInfo

      jet.web.dhtml.PropertyInfo getRenderPropertyInfo(java.lang.String sessionId,
                                                       java.lang.String rptSetId,
                                                       java.lang.String rptName,
                                                       java.lang.String dsid,
                                                       int renderType,
                                                       java.lang.String propName)

    Gets a PropertyInfo instance of a property of the Render.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dailogjsp/fieldproperty.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `dsid` - the result object id.
      `renderType` - the render type of the target object.
      `propName` - the property name.
    Returns:
      a PropertyInfo instance or null.

  ### checkSelectParameters

      java.lang.String checkSelectParameters(java.lang.String sessionId,
                                             java.lang.String rptSetId,
                                             java.lang.String rptName,
                                             java.util.Hashtable parameters)

    Checks user-selected parameters.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/actionjsp/check_select_paramter.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `parameters` - the user input parameters and the parameter's value(s).
    Returns:
      the error message.

  ### isModified

      boolean isModified(java.lang.String sessionId,
                         java.lang.String rptSetId)

    Determines whether the report set has been modified or not.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
    Returns:
      true if the report set has been modified, otherwise false.

  ### isTaglib

      boolean isTaglib(java.lang.String sessionId,
                       java.lang.String rptSetId)

    Determines whether to use taglib to run report set or not.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/customize_panel.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
    Returns:
      true if to use taglib, otherwise false.

  ### isRsdFile

      boolean isRsdFile(java.lang.String sessionId,
                        java.lang.String rptSetId)

    Determines whether the report set is of RSD type or not.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/builddso.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
    Returns:
      true if the report set is of RSD type, otherwise false.

  ### getDHTMLExceptions

      java.lang.Throwable[] getDHTMLExceptions(java.lang.String sessionId,
                                               java.lang.String dRptSetId)

    Gets all current DHTML Exceptions.

    Parameters:
      `sessionId` - the user session id.
      `dRptSetId` - the report set id.
    Returns:
      all current DHTML Exceptions.

  ### clearDHTMLExceptions

      void clearDHTMLExceptions(java.lang.String sessionId,
                                java.lang.String dRptSetId)

    Clears all current DHTML Exceptions.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/errorpage.jsp.

    Parameters:
      `sessionId` - the user session id.
      `dRptSetId` - the report set id.

  ### getCatalogInfo

      CatalogInfo getCatalogInfo(java.lang.String catalogName,
                                 java.lang.String userName)

    Deprecated. from V13.1 `getCatalogInfo(String, String, HashMap)`

    Gets the CatalogInfo object of a catalog.

    Parameters:
      `catalogName` - the catalog resource name.
      `userName` - the user name.
    Returns:
      the `jet.webreport.CatalogInfo`.

  ### getCatalogInfo

      CatalogInfo getCatalogInfo(java.lang.String sessionId,
                                 java.lang.String rptSetId,
                                 java.lang.String sheetId,
                                 java.lang.String subKey)

    Gets the CatalogInfo object of a report set.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/create/common/data_tree_for_component.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `sheetId` - the report name.
      `subKey` - the key of the engine.
    Returns:
      the `jet.webreport.CatalogInfo`.

  ### getChartTypeInfo

      ChartTypeInfo getChartTypeInfo()

    Gets the ChartTypeInfo.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/insertchart.jsp.

  ### isDesignerViewMode

      boolean isDesignerViewMode(java.lang.String sessionId,
                                 java.lang.String rptSetId)

    Determines whether it is Designer view mode or not.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/rptmain.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
    Returns:
      whether it is Designer view mode or not.

  ### isShowSpalshScreen

      boolean isShowSpalshScreen(java.lang.String sessionId)

    Determines whether to show the splash screen or not.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dhtml.jsp.

    Parameters:
      `sessionId` -
    Returns:
      true if to show the splash screen; otherwise false.

  ### getPropertyValue

      java.lang.String getPropertyValue(java.lang.String sessionId,
                                        java.lang.String rptSetId,
                                        java.lang.String rptName,
                                        java.lang.String dsid,
                                        java.lang.String instName,
                                        java.lang.String propName)

    Gets the property value of the specified object.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `dsid` - the result object id.
      `instName` - the instant name of the templet object.
      `propName` - the property name of the object.
    Returns:
      the property value.

  ### getTempFileDirectories

      java.util.List getTempFileDirectories()

    Gets the temporary file directories.

    Returns:
      the temporary file directories.

  ### isFinishPipeline

      boolean isFinishPipeline(java.lang.String sessionId,
                               java.lang.String rptSetId,
                               java.lang.String rptName)

    Determines whether the report is pipe-line mode or not.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/header.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
    Returns:
      true if the report is pipe-line mode, otherwise false.

  ### getAllFonts

      java.lang.String[] getAllFonts()

    Gets all fonts.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/toolbar_field_property.jsp.

    Returns:
      all fonts.

  ### getGotoList

      java.lang.String[][] getGotoList(java.lang.String sessionId,
                                       java.lang.String rptSetId)

    Gets the report list generated by Go series actions (such as go up/go down).

    An example of the method:

      %serverhome%/public_html/dhtmljsp/linkbar.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
    Returns:
      the two-dimensional list [reportname][action]:
        [reportname] is the report display name.
        [action] is the action value.

  ### isRSDFile

      boolean isRSDFile(java.lang.String sessionId,
                        java.lang.String rptSetId)

    Determines whether the report is RSD or not.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/builddso.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
    Returns:
      true, if the report is RSD, otherwise false.

  ### getCurrentPagePanelInstanceName

      java.lang.String getCurrentPagePanelInstanceName(java.lang.String sessionId,
                                                       java.lang.String dRptSetId,
                                                       java.lang.String drptName,
                                                       java.lang.String dsId)

    Gets the current page panel instance name.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dialogjsp/pageproperty.jsp.

    Parameters:
      `sessionId` - the user session id.
      `dRptSetId` - the report set id.
      `drptName` - the report name.
      `dsId` - ID of the result object.
    Returns:
      the current page panel instance name.

  ### isOldRptSetVersion

      boolean isOldRptSetVersion(java.lang.String dRptSetId)

    Determines whether the report is an old version (8.2) report or not.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/newreport.jsp.

    Parameters:
      `dRptSetId` - the report set id.
    Returns:
      true, if the report is an old version report, otherwise false.

  ### getPropertisInfo

      PropertiesInfo getPropertisInfo(java.lang.String sessionId,
                                      java.lang.String rptSetId,
                                      java.lang.String rptName,
                                      java.lang.String dsid,
                                      java.lang.String instName)

    Gets a PropertiesInfo instance of a component.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dialogjsp/chartpaperproperty.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `dsid` - the result object id.
      `instName` - the instant name of templet object.
    Returns:
      a PropertiesInfo instance or null.

  ### getPropertisInfo

      PropertiesInfo getPropertisInfo(java.lang.String sessionId,
                                      java.lang.String rptSetId,
                                      java.lang.String rptName,
                                      java.lang.String dsid)

    Gets a PropertiesInfo instance of a component.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dialogjsp/fielproperty.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `dsid` - the result object id.
    Returns:
      a PropertiesInfo instance or null.

  ### getRenderPropertyInfo

      PropertiesInfo getRenderPropertyInfo(java.lang.String sessionId,
                                           java.lang.String rptSetId,
                                           java.lang.String rptName,
                                           java.lang.String dsid,
                                           int renderType)

    Gets a PropertiesInfo instance of a render.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dialogjsp/fielproperty.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `dsid` - the result object id.
      `renderType` - the type value which is defined in jet.report.mode.common.RptRenderer:
        RptRenderer.RENDER_TEXT,
        ...
        RptRenderer.RENDER_TEXTFIELD.
    Returns:
      a PropertiesInfo instance or null.

  ### getPagePropertiesInfo

      PropertiesInfo getPagePropertiesInfo(java.lang.String sessionId,
                                           java.lang.String rptSetId,
                                           java.lang.String rptName,
                                           java.lang.String dsid,
                                           java.lang.String subkey)

    Gets a PropertiesInfo instance of the report page.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dialogjsp/pageproperty.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `dsid` - the result object id or instant name of templet object.
      `subkey` - the key of the engine.
    Returns:
      the instance of PropertiesInfo.

  ### getReportPropertiesInfo

      PropertiesInfo getReportPropertiesInfo(java.lang.String sessionId,
                                             java.lang.String rptSetId,
                                             java.lang.String rptName)

    Gets a PropertyInfo instance of the report.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dialogjsp/reportproperty.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
    Returns:
      the instance of PropertiesInfo.

  ### getCubeTreeNode

      JNode getCubeTreeNode(java.lang.String rptset_id,
                            java.lang.String report_id,
                            java.lang.String rcName,
                            java.util.HashMap prop)

    Gets the cube tree.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dialogjsp/buildformulatree.jsp.

    Parameters:
      `rptset_id` - the report set id.
      `report_id` - the report name.
      `rcName` - the rc qualified name (formed by data source name, query name, rc name, with separator '.').
      `prop` - the tree config properties, such as image path, root expand level.
      Default you can get via jet.webreport.service.builder.ResourceTreeBuilder.getDefaultSetting().
    Returns:
      the cube tree root node, `jet.webreport.util.JNode`.

  ### getCubeTreeNode

      JNode getCubeTreeNode(java.lang.String rptset_id,
                            java.lang.String report_id,
                            java.lang.String rcName)

    Gets the cube tree.

    Parameters:
      `rptset_id` - the report set id.
      `report_id` - the report name.
      `rcName` - the rc qualified name (formed by data source name, query name, rc name, with separator '.').
    Returns:
      the cube tree root node, `jet.webreport.util.JNode`.

  ### getFlyFormula

      FlyFormula getFlyFormula(java.lang.String reportId,
                               DHTMLFlyResourceScope scope,
                               java.lang.String rscQulifiedDisplayName)

    Gets dynamic formula with the scope (report, data source, query).

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dialogjsp/formula.jsp.

    Parameters:
      `reportId` - identifier of report set.
      `scope` - on the fly formula scope, `jet.webreport.beans.DHTMLFlyResourceScope`.
      `rscQulifiedDisplayName` - the qualified display name of the resource.
    Returns:
      FlyFormulaInfo. If not find corresponding dynamic formula, throws Exception.

  ### getFlyMeasure

      FlyMeasure getFlyMeasure(java.lang.String reportId,
                               DHTMLFlyResourceScope scope,
                               java.lang.String rscQulifiedDisplayName)

    Gets dynamic measure with the scope (report, data source, query).

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dialogjsp/measure.jsp.

    Parameters:
      `reportId` - identifier of the report set.
      `scope` - on the fly formula scope, `jet.webreport.beans.DHTMLFlyResourceScope`.
      `rscQulifiedDisplayName` - the qualified display name of the resource.
    Returns:
      FlyMeasureInfo. If not find the corresponding fly formula, throws Exception.

  ### checkFlyResourceName

      boolean checkFlyResourceName(java.lang.String reportId,
                                   DHTMLFlyResourceScope scope,
                                   java.lang.String rscQulifiedDisplayName)

    Checks whether the rscQulifiedDisplayName of a dynamic resource is valid or not in current environment.

    Parameters:
      `reportId` - identifier of the report set.
      `scope` - on the fly formula scope, `jet.webreport.beans.DHTMLFlyResourceScope`.
      `rscQulifiedDisplayName` - the qualified display name of the resource.
    Returns:
      true if the rscQulifiedDisplayName is valid, false otherwise.

  ### checkFlyFormulaSyntax

      java.lang.String checkFlyFormulaSyntax(java.lang.String reportId,
                                             DHTMLFlyResourceScope scope,
                                             java.lang.String expression,
                                             java.lang.String blQulifyDisplayName)

    Checks whether the fly formula has syntax error.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dialogjsp/check_fml_syntax.jsp.

    Parameters:
      `reportId` - identifier of the report set.
      `scope` - on the fly formula scope, `jet.webreport.beans.DHTMLFlyResourceScope`.
      `expression` - the formula expression.
      `blQulifyDisplayName` - the qualified display name of the resource.
    Returns:
      null if no error, otherwise the exception string.

  ### getAutoRefreshReportDataInfo

      java.util.Hashtable getAutoRefreshReportDataInfo(java.lang.String sessionId,
                                                       java.lang.String rptSetId,
                                                       java.lang.String rptName)

    Gets the information about auto refreshing report data.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/actionjsp/change_auto_refresh_report_data.jsp.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
    Returns:
      the information about auto refreshing report data includes enableRefreshReportDataFunction, autoRefreshReportDataMode and autoRefreshReportIntervalTimeMs.

  ### getPreviousBusinessCubeName

      java.lang.String getPreviousBusinessCubeName(java.lang.String sessionId,
                                                   java.lang.String rptSetId)

    Gets a Business Cube's BLName in previous DataContainerWizardInformation. BLName is the ID of the Business Cube in the catalog.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
    Returns:
      null or a blname.

  ### getReportName

      java.lang.String getReportName(java.lang.String id,
                                     int index)

    Deprecated. Gets the report name by index.

    Parameters:
      `id` - can be the report runtime id or the user session id. When it is the user session id, the method will return the special properties at session level. When it is the report runtime id, the method will return the special properties in the report with this runtime id.
      `index` - the report index.
    Returns:
      the report name.

  ### copyOctet

      byte[] copyOctet(java.lang.String id,
                       java.lang.String translate)
                       throws java.io.IOException

    Deprecated. Copies the content of the specified binary file to a byte array.

    Parameters:
      `id` - can be the report runtime id or the user session id. When it is the user session id (Deprecated, it cannot be used in multiple reports mode), it indicates the only report in the session. When it is the report runtime id, it indicates the report specified by this runtime id in the session.
      `translate` - the binary file name.
    Returns:
      a byte array.
    Throws:
      `java.io.IOException`

  ### copyText

      char[] copyText(java.util.Hashtable params)
                      throws jet.JDException

    Deprecated. Copies the content of the specified text file to a char array.

    Parameters:
      `params` - input user parameters: DHTMLConstant.SESSION_ID, the user session id; DHTMLConstant.RPTSET_ID, the report set id; DHTMLConstant.RPT_NAME, the report name; DHTMLConstant.TRANSLATE, the file name.
    Returns:
      a char array.
    Throws:
      `jet.JDException`

  ### copyText

      char[] copyText(java.lang.String id,
                      java.lang.String translate)
                      throws java.io.IOException

    Deprecated. Copies the content of the specified text file to a char array.

    Parameters:
      `id` - can be the report runtime id or the user session id. When it is the user session id (Deprecated, it cannot be used in multiple reports mode), it indicates the only report in the session. When it is the report runtime id, it indicates the report specified by this runtime id in the session.
      `translate` - the text file name.
    Returns:
      a char array.
    Throws:
      `java.io.IOException`

  ### dispatch

      java.util.Vector dispatch(java.lang.String id,
                                java.util.Hashtable params)
                                throws RptServerException,
                                       java.io.IOException

    Deprecated. Responses and processes all the requests from DHTML client.

    Parameters:
      `id` - the user session id.
      `params:` - client request query in hashtable type If you are going to use relative path in dhtml, param params should contain three parameters as following: DHTMLConstant.DHTML_SERVLET_PATH, the value is dhtml servlet path that can be got like this: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_DHTML)), DHTMLConstant.DHTML_JSP_PATH, the value is dhtml jsp path that can be got like this: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_DHTMLJSP)), DHTMLConstant.DHTML_HELP_PATH, the value is dhtml help servlet path that can be got like this: HttpUtil.getWebAppUrl(HttpServletRequest request, HttpUtil.getJSPWebAppName(APIConst.APPNAME_HELP)).
    Returns:
      a Vector, which includes two elements: an Integer object (operation code) and a byte array (the requested content).
    Throws:
      `RptServerException`
      `java.io.IOException`

  ### getParameterNames

      java.lang.String[] getParameterNames(java.lang.String sessionId,
                                           java.lang.String rptSetId)

    Deprecated.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
    Returns:
      the parameter names.
    See Also:
      `Gets the parameter names for open report sheets.`

  ### getParameterDefaultValues

      java.lang.String[] getParameterDefaultValues(java.lang.String sessionId,
                                                   java.lang.String rptSetId,
                                                   java.lang.String paramName)

    Deprecated.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `paramName` - the parameter names.
    Returns:
      the parameter default values.
    See Also:
      `Gets the parameter default values for open report sheet.`

  ### getParameterDefaultValue

      java.lang.String getParameterDefaultValue(java.lang.String sessionId,
                                                java.lang.String rptSetId,
                                                java.lang.String paramName)

    Deprecated.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `paramName` - the parameter name.
    Returns:
      the default value of the current parameter.
    See Also:
      `Gets the default value of the current parameter.`

  ### getParameterFormat

      java.lang.String getParameterFormat(java.lang.String sessionId,
                                          java.lang.String rptSetId,
                                          java.lang.String paramName)

    Deprecated.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `paramName` - the name of parameter.
    Returns:
      the current parameter format.
    See Also:
      `Gets the current parameter format.`

  ### getParameterType

      java.lang.String getParameterType(java.lang.String sessionId,
                                        java.lang.String rptSetId,
                                        java.lang.String paramName)

    Deprecated.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `paramName` - the name of parameter.
    Returns:
      the current parameter type.
    See Also:
      `Gets the current parameter type.`

  ### getParameterDisplayAndRealValues

      java.lang.String[][] getParameterDisplayAndRealValues(java.lang.String sessionId,
                                                            java.lang.String rptSetId,
                                                            java.lang.String paramName)

    Deprecated.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `paramName` - the name of the current parameter.
    Returns:
      the current parameter values.
    See Also:
      `Gets the current parameter values including display values and real values.`

  ### getParameterPrompt

      java.lang.String getParameterPrompt(java.lang.String sessionId,
                                          java.lang.String rptSetId,
                                          java.lang.String paramName)

    Deprecated.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `paramName` - the name of the parameter.
    Returns:
      the text for prompting users to provide the value of the parameter.
    See Also:
      `Gets the text for prompting users to provide the value of the current parameter.`

  ### isParameterRequired

      boolean isParameterRequired(java.lang.String sessionId,
                                  java.lang.String rptSetId,
                                  java.lang.String paramName)

    Deprecated.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `paramName` - the name of the parameter.
    Returns:
      the flag of the parameter.
    See Also:
      `Gets the flag of isRequired from the parameter.`

  ### isParameterOnlySelect

      boolean isParameterOnlySelect(java.lang.String sessionId,
                                    java.lang.String rptSetId,
                                    java.lang.String paramName)

    Deprecated.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `paramName` - the name of the parameter.
    Returns:
      the flag of the parameter.
    See Also:
      `Gets the flag of isOnlySelect from the parameter.`

  ### isParameterReferedBy

      boolean isParameterReferedBy(java.lang.String sessionId,
                                   java.lang.String rptSetId,
                                   java.lang.String paramName)

    Deprecated.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `paramName` - the name of the parameter.
    Returns:
      the flag of the parameter.
    See Also:
      `Gets the flag of isReferedBy from the parameter.`

  ### getReferedByParameters

      java.util.Hashtable getReferedByParameters(java.lang.String sessionId,
                                                 java.lang.String rptSetId,
                                                 java.lang.String paramName,
                                                 java.lang.String paramValue)

    Deprecated.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `paramName` - the parameter name.
      `paramValue` - the parameter value.
    Returns:
      all reffered parameters information.
    See Also:
      `Gets all referred parameters information with the specified parameter name and value of the open report set.`

  ### getPagePropertyInfo

      jet.web.dhtml.PropertyInfo getPagePropertyInfo(java.lang.String sessionId,
                                                     java.lang.String rptSetId,
                                                     java.lang.String rptName,
                                                     java.lang.String propName,
                                                     java.lang.String dsid,
                                                     java.lang.String subkey)

    Deprecated.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `propName` - the property name, which is defined in PropertyConstant:
        PropertyConstant.PROPERTY_NAME_WIDT,
        PropertyConstant.PROPERTY_NAME_HEIGHT,
        PropertyConstant.PROPERTY_NAME_PAGETYPE.
      `dsid` - the result object id (the HTML element dsid property).
    Returns:
      the instance of PropertyInfo.
    See Also:
      `Gets a PropertyInfo instance of a property of the report page.

      An example of the method:

        %serverhome%/public_html/dhtmljsp/dialogjsp/pageproperty.jsp.
      `

  ### getNewReportInfo

      java.lang.String[][][] getNewReportInfo(java.lang.String catalogName,
                                              java.lang.String UserName)
                                              throws DesignerErrorException

    Deprecated.

    Parameters:
      `catalogName` -
      `UserName` -
    Returns:
    Throws:
      `DesignerErrorException`
    See Also:
      `getCatalogInfo(String, String).`

  ### getBVTree

      java.lang.String getBVTree(java.lang.String catalogName,
                                 java.lang.String UserName,
                                 java.lang.String dsName,
                                 java.lang.String bcName,
                                 boolean noDetail,
                                 java.lang.String dhtmlimagepath)
                                 throws DesignerErrorException

    Deprecated.

    Parameters:
      `catalogName` -
      `UserName` -
      `dsName` -
      `bcName` -
      `noDetail` -
      `dhtmlimagepath` -
    Returns:
    Throws:
      `DesignerErrorException`
    See Also:
      `getCatalogInfo(String, String).`

  ### getChartPrimTypeName

      java.lang.String[] getChartPrimTypeName()

    Deprecated.

    Returns:
    See Also:
      `#jet.webreport.ChartTypeInfo.getChartTypeNames().`

  ### getChartSubTypeName

      java.lang.String[] getChartSubTypeName(int primTypeIDX)

    Deprecated.

    Parameters:
      `primTypeIDX` -
    Returns:
    See Also:
      `#jet.webreport.ChartTypeInfo.`

  ### getChartAvailableComboType

      java.lang.String[][][][] getChartAvailableComboType()

    Deprecated.

    Returns:
    See Also:
      `#jet.webreport.ChartTypeInfo.getAvailableCombTypes().`

  ### buildPropertyElement

      java.lang.String buildPropertyElement(java.lang.String sessionId,
                                            java.lang.String rptSetId,
                                            java.lang.String rptName,
                                            java.lang.String dsid,
                                            java.lang.String propName)

    Deprecated. `getPropertisInfo(String, String, String, String)`

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `dsid` - the result object id.
      `propName` - the property name of object.
    Returns:

  ### buildPropertyElement

      java.lang.String buildPropertyElement(java.lang.String sessionId,
                                            java.lang.String rptSetId,
                                            java.lang.String rptName,
                                            java.lang.String dsid,
                                            java.lang.String instName,
                                            java.lang.String propName)

    Deprecated. `getPropertisInfo(String, String, String, String, String)`

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `dsid` - the result object id.
      `instName` - the instant name of templet object.
      `propName` - the property name of object.
    Returns:

  ### buildRenderPropertyElement

      java.lang.String buildRenderPropertyElement(java.lang.String sessionId,
                                                  java.lang.String rptSetId,
                                                  java.lang.String rptName,
                                                  java.lang.String dsid,
                                                  int renderType,
                                                  java.lang.String propName)

    Deprecated. `getRenderPropertyInfo(String, String, String, String, int)`

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `dsid` - the result object id.
      `renderType` - the type value which defined in jet.report.mode.common.RptRenderer:
        RptRenderer.RENDER_TEXT,
        ...
        RptRenderer.RENDER_TEXTFIELD.
      `propName` - the property name of object.
    Returns:

  ### buildReportPropertyElement

      java.lang.String buildReportPropertyElement(java.lang.String sessionId,
                                                  java.lang.String rptSetId,
                                                  java.lang.String rptName,
                                                  java.lang.String propName)

    Deprecated. `getReportPropertiesInfo(String, String, String)`

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `propName` - the property name of object.
    Returns:

  ### buildPagePropertyElement

      java.lang.String buildPagePropertyElement(java.lang.String sessionId,
                                                java.lang.String rptSetId,
                                                java.lang.String rptName,
                                                java.lang.String propName,
                                                java.lang.String dsid,
                                                java.lang.String subkey)

    Deprecated. `getPagePropertiesInfo(String, String, String, String, String)`

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `propName` - the property name of object.
      `dsid` - the result object id.
      `subkey` - the key of the engine.
    Returns:

  ### getPageCompCount

      int getPageCompCount(java.lang.String sessionId,
                           java.lang.String rptSetId,
                           java.lang.String rptName,
                           java.lang.String componetType)

    Gets the number of the specific component in the current page.

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `componetType` - the component type.
    Returns:
      the number of the specific component in the current page. not used.

  ### dispatch

      java.util.Hashtable dispatch(java.util.Hashtable params)
                                   throws jet.JDException

    Parameters:
      `params` - input user parameter.
    Returns:
    Throws:
      `jet.JDException`

  ### OpenAndGetReportInfo

      java.util.Map OpenAndGetReportInfo(java.util.Hashtable params)
                                         throws jet.JDException

    Parameters:
      `params` - input user parameters.
    Returns:
      information about the session id, reportSet id and report name.
    Throws:
      `jet.JDException`

  ### setDHTMLRptSheetByteArrayContent

      void setDHTMLRptSheetByteArrayContent(java.lang.String sessionId,
                                            java.lang.String rptSetId,
                                            java.lang.String rptName,
                                            byte[] byteArrayContent)

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `byteArrayContent` - byte array.

  ### getRptSheetOpenState

      java.util.Hashtable getRptSheetOpenState(java.lang.String sessionId,
                                               java.lang.String rptSetId)

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
    Returns:
      a hashtable, the key is a report name, the value is the report status.

  ### convertingOldReport

      java.lang.String convertingOldReport(java.lang.String aCatPath,
                                           java.lang.String aRptPath)

    Parameters:
      `aCatPath` - the catalog path and name.
      `aRptPath` - old report path and name.
    Returns:
      the new report path and name.

  ### isOldReport

      boolean isOldReport(java.lang.String rptPath)
                          throws jet.JDException

    Parameters:
      `aRptPath` - old report path and name.
    Returns:
      true if old one; otherwise false.
    Throws:
      `jet.JDException`

  ### isReportSetFirstOpen

      boolean isReportSetFirstOpen(java.lang.String sessionId,
                                   java.lang.String rptSetId)

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
    Returns:
      true if the report set is opened for the first time, otherwise false.

  ### isRptSheetSaved

      boolean isRptSheetSaved(java.lang.String sessionId,
                              java.lang.String rptSetId,
                              java.lang.String rptName)

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
    Returns:
      true, if the report set has been saved, otherwise false.

  ### canDoAction

      int canDoAction(int op)

    Parameters:
      `op` - the op which is defined in DHTMLConstant.
    Returns:
      the value:
        0: doAsynchronousAction,
        1: openQueueConfirmDialog,
        2: openQueueFullDialog.

  ### addDHTMLException

      void addDHTMLException(java.lang.String sessionId,
                             java.lang.String dRptSetId,
                             java.lang.Throwable e)

    Parameters:
      `sessionId` - the user session id.
      `dRptSetId` - the report set id.
      `e` -

  ### closeReportSet

      int closeReportSet(java.lang.String sessionId,
                         java.lang.String rptSetId)

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
    Returns:

  ### closeRptSheet

      void closeRptSheet(java.lang.String sessionId,
                         java.lang.String rptSetId,
                         java.lang.String rptName)

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.

  ### setParsedOpenreport

      void setParsedOpenreport(java.lang.String sessionId,
                               java.lang.String rptsetid,
                               java.util.Hashtable parsedOpenRptParams)

    Parameters:
      `sessionId` - the user session id.
      `rptsetid` - the report set id.
      `parsedOpenRptParams` -

  ### getParsedOpenreport

      java.util.Hashtable getParsedOpenreport(java.lang.String sessionId,
                                              java.lang.String rptsetid)

    Parameters:
      `sessionId` - the user session id.
      `rptsetid` - the report set id.
    Returns:
      the parameters for opening a report.

  ### removeParsedOpenreportParameter

      void removeParsedOpenreportParameter(java.lang.String sessionId,
                                           java.lang.String rptsetid)

    Parameters:
      `sessionId` - the user session id.
      `rptsetid` - the report set id.

  ### handleDHTMLRunTimeInfo

      java.util.Hashtable handleDHTMLRunTimeInfo(java.util.Hashtable key)

    Parameters:
      `key` -
    Returns:

  ### getPropertyValueList

      java.lang.String[] getPropertyValueList(java.lang.String sessionId,
                                              java.lang.String rptSetId,
                                              java.lang.String rptName,
                                              java.lang.String dsid,
                                              java.lang.String instName,
                                              java.lang.String propName)

    Parameters:
      `sessionId` - the user session id.
      `rptSetId` - the report set id.
      `rptName` - the report name.
      `dsid` - the result object id.
      `instName` - the instant name of the templet object.
      `propName` - the property name of the object.
    Returns:
      the property values.

  ### getRuntimeDHTMLReportsStatus

      java.util.Vector getRuntimeDHTMLReportsStatus(java.lang.String userID)

    Parameters:
      `userID` - the user name.
    Returns:
      a List include DHTMLRunTimeReportInfo class.

  ### getBackgroundReportInfo

      jet.web.dhtml.DHTMLRunTimeReportInfo getBackgroundReportInfo(java.lang.String openTaskId)

    Parameters:
      `openTaskId` -
    Returns:

  ### closeBackgroundReport

      void closeBackgroundReport(java.lang.String sessionId,
                                 java.lang.String openTaskId)

    Parameters:
      `sessionId` - the user session id.
      `openTaskId` - the report set id (according to code).

  ### stopProcessingBackgroundReport

      boolean stopProcessingBackgroundReport(java.lang.String sessionId,
                                             java.lang.String openTaskId)

    Parameters:
      `sessionId` - the user session id.
      `openTaskId` - the report set id(according to code).
    Returns:
      whether successful or not.

  ### reStartRunBackgroundReport

      void reStartRunBackgroundReport(java.lang.String openTaskId)

    Parameters:
      `openTaskId` - the report set id (according to code).

  ### openBackgroundReportURI

      java.lang.String openBackgroundReportURI(java.lang.String sessionId,
                                               java.lang.String openTaskId)
                                               throws java.lang.Exception

    Parameters:
      `sessionId` - the user session id.
      `openTaskId` - the report set id (according to code).
    Returns:
      the URI.
    Throws:
      `java.lang.Exception`

  ### notify_change_engine_dosort_buffer_size

      void notify_change_engine_dosort_buffer_size(int buffer_size)

    Parameters:
      `buffer_size` - the memory size.

  ### getBusinessLogicHandle

      java.lang.String getBusinessLogicHandle(java.lang.String catalogName,
                                              java.lang.String jrs_ds_name,
                                              java.lang.String jrs_query_name,
                                              java.lang.String jrs_cube_name,
                                              java.lang.String userName)

  ### getExpire

      java.lang.String getExpire(java.lang.String seesionId)

    Gets the expiration time of JReport Server license.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/dailogjsp/aboutdhtml.jsp.

    Parameters:
      `sessionId` - the user session id.
    Returns:
      the expiration time of JReport Server license.

  ### openBackgroundReport

      void openBackgroundReport(java.lang.String oldOpenTaskId,
                                java.lang.String newOpenTaskId)
                                throws java.lang.Exception

    Throws:
      `java.lang.Exception`

  ### getParametersResultObject

      com.jinfonet.web.ResultObjectImpl getParametersResultObject(java.lang.String sessionId,
                                                                  java.lang.String rptsetId)

    Gets parameters information for an open report set

    An example of the method:

      %serverhome%/public_html/dhtmljsp/select_parameter.jsp.

    Parameters:
      `sessionId` - the user session id
      `rptsetId` - the report set id
    Returns:
      The `com.jinfonet.web.ResultObjectImpl`
      Such as
      {"params":[`com.jinfonet.web.com.jinfonet.web.beans.ReportParameter`], "country":xxx, "language":xxx};

  ### getCatalogInfo

      CatalogInfo getCatalogInfo(java.lang.String catalogName,
                                 java.lang.String userName,
                                 java.util.HashMap parameters)

    Gets the CatalogInfo object of a catalog.

    An example of the method:

      %serverhome%/public_html/dhtmljsp/builddatasource.jsp.
      %serverhome%/public_html/dhtmljsp/create/common/data_tree_for_report.jsp.

    Parameters:
      `catalogName` - the catalog resource name.
      `userName` - the user name.
    Returns:
      the `jet.webreport.CatalogInfo`.

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD